## synadm 0.41.3

=== requirements.txt ===
click
requests
pyyaml
tabulate
click-option-group>=0.5.2
dnspython

## synadm 0.34

=== debian/changelog ===
synadm (0.34-1) unstable; urgency=low

  * Initial release (Closes: #1005296).

 -- Sebastien Badia <sbadia@debian.org>  Wed, 01 Jun 2022 13:08:16 +0200

=== debian/control ===
Source: synadm
Section: admin
Priority: optional
Maintainer: Matrix Packaging Team <pkg-matrix-maintainers@lists.alioth.debian.org>
Uploaders: Sebastien Badia <sbadia@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-click,
               python3-click-option-group,
               python3-requests,
               python3-setuptools,
               python3-tabulate,
               python3-yaml,
Standards-Version: 4.6.0.1
Homepage: https://github.com/joj0/synadm
Vcs-Browser: https://salsa.debian.org/matrix-team/synadm
Vcs-Git: https://salsa.debian.org/matrix-team/synadm.git
Rules-Requires-Root: no

Package: synadm
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Command line admin tool for Synapse (Matrix reference homeserver)
 Synadm is a CLI tool to help admins of Matrix-Synapse homeservers conveniently
 issue commands available via its admin API.
 .
 This tool is designed to run either directly on the host running the Synapse
 instance or on a remote machine able to access Synapse's API port.

## synadm 0.35

=== debian/changelog ===
synadm (0.35-1) unstable; urgency=medium

  * New upstream version 0.35
  * d/control: New deps on dnspython

 -- Sebastien Badia <sbadia@debian.org>  Thu, 18 Aug 2022 10:36:40 +0200

synadm (0.34-2) unstable; urgency=medium

  * d/copyright: Fix License (GPL-3+), Thanks Thorsten !

 -- Sebastien Badia <sbadia@debian.org>  Sun, 12 Jun 2022 12:28:33 +0200

## synadm 0.36

=== debian/changelog ===
synadm (0.36-1) unstable; urgency=medium

  * New upstream version 0.36

 -- Sebastien Badia <sbadia@debian.org>  Fri, 28 Oct 2022 11:08:42 +0200

## synadm 0.38

=== debian/changelog ===
synadm (0.38-1) unstable; urgency=medium

  * New upstream version 0.38

 -- Sebastien Badia <sbadia@debian.org>  Fri, 23 Dec 2022 12:25:59 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
                python3-all,
                python3-click,
                python3-click-option-group,
+               python3-dnspython,
                python3-requests,
                python3-setuptools,
                python3-tabulate,
-               python3-yaml,
-Standards-Version: 4.6.0.1
+               python3-yaml
+Standards-Version: 4.6.1
 Homepage: https://github.com/joj0/synadm
 Vcs-Browser: https://salsa.debian.org/matrix-team/synadm
 Vcs-Git: https://salsa.debian.org/matrix-team/synadm.git
@@ -20,7 +21,7 @@
 
 Package: synadm
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends},
+Depends: ${misc:Depends}, ${python3:Depends}
 Recommends: ${python3:Recommends}
 Suggests: ${python3:Suggests}
 Description: Command line admin tool for Synapse (Matrix reference homeserver)

## synadm 0.41.2

=== debian/changelog ===
synadm (0.41.2-1) unstable; urgency=medium

  * New upstream version 0.41.2
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Update copyrights years

 -- Sebastien Badia <sbadia@debian.org>  Mon, 05 Jun 2023 16:40:46 +0200

## synadm 0.41.3

=== debian/changelog ===
synadm (0.41.3-1) unstable; urgency=medium

  * New upstream version 0.41.3

 -- Sebastien Badia <sbadia@debian.org>  Thu, 29 Jun 2023 19:01:05 +0200

## synadm 0.43.1

=== debian/changelog ===
synadm (0.43.1-1) unstable; urgency=medium

  * New upstream version 0.43.1

 -- Sebastien Badia <sbadia@debian.org>  Fri, 15 Sep 2023 15:14:57 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-setuptools,
                python3-tabulate,
                python3-yaml
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/joj0/synadm
 Vcs-Browser: https://salsa.debian.org/matrix-team/synadm
 Vcs-Git: https://salsa.debian.org/matrix-team/synadm.git

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=synadm
%:
	dh $@ --with python3 --buildsystem=pybuild

## synadm 0.46

=== debian/changelog ===
synadm (0.46-1) unstable; urgency=medium

  [ Sebastien Badia ]
  * d/copyright: Update years
  * New upstream version 0.46

  [ Nicolas Peugnet ]
  * add click generated bash-completion script (Closes: #1057648)

 -- Sebastien Badia <sbadia@debian.org>  Sun, 07 Apr 2024 23:09:48 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Sebastien Badia <sbadia@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               bash-completion,
                python3-all,
                python3-click,
                python3-click-option-group,

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=synadm
export PYBUILD_AFTER_BUILD=_SYNADM_COMPLETE=bash_source {interpreter} {build_dir}/synadm > debian/synadm.bash-completion

%:
	dh $@ --with python3 --buildsystem=pybuild --with=bash-completion

=== debian/watch ===
# try also https://pypi.debian.net/synadm/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/synadm/synadm-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
